package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.ParametroContabilExcluirFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.flows.ParametroContabilFlows;
import com.javaseleniumtemplate.pages.ParametroContabilExcluirPage;
import com.javaseleniumtemplate.pages.LoginPage;
import com.javaseleniumtemplate.pages.MainPage;
import com.javaseleniumtemplate.pages.ParametroContabilPage;
import org.testng.Assert;
import org.testng.annotations.Test;

public class ParametroContabilExcluir extends TestBase {

    // Objetos

    MainPage mainPage;
    LoginPage loginPage;
    MainFlows MainFlows;
    com.javaseleniumtemplate.flows.ParametroContabilExcluirFlows ParametroContabilExcluirFlows;
    com.javaseleniumtemplate.pages.ParametroContabilExcluirPage ParametroContabilExcluirPage;

    // Teste

    @Test
    public void efetuarLoginComSucesso() throws InterruptedException {

        //Objetos Instanciados

        mainPage = new MainPage();
        loginPage = new LoginPage();
        MainFlows = new MainFlows();
        ParametroContabilExcluirFlows = new ParametroContabilExcluirFlows();
        ParametroContabilExcluirPage = new ParametroContabilExcluirPage();

        // Dados - Login

        String Usuario = "operador24@AUTOMACAO_2184.com";
        String Senha = "apresentacao";



        loginPage.preenhcerUsuario(Usuario);
        loginPage.preencherSenha(Senha);
        loginPage.clicarEmLogin();


        // Aguardar Botão de Confirmação(Alerta: Sim)
        ParametroContabilExcluirPage.AlertaUsuario();

        // Navegar até Parametro Contábil
        MainFlows.navegarParaParametroContabilExcluir();

        // Selecionar Empresa
        ParametroContabilExcluirPage.SelecionaEmpresa();

        // Clicar no Botão Excluir
        ParametroContabilExcluirPage.BotaoExcluir();

        // Deletar os Registros: Yes
        ParametroContabilExcluirPage.ConfirmandoExclusao();
    }
}