<?php
namespace Teknisa\FIN\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\Libs\Util\Environment;
use Teknisa\FIN\Factories\ParameralGeralrecFactory;


class ParamgeralGeralrecService{ 

    /**
     * @param Environment                   $environment
     * @param TitulosAReceberService        $titulosAReceberService
     */
     
    protected $paramgeralGeralrecFactory;
    protected $entityManager;
    
    public function __construct(EntityManager $entityManager, Environment $environment, ParameralGeralrecFactory $paramgeralGeralrecFactory) {
        $this->entityManager = $entityManager;
        $this->environment   = $environment;
        $this->ParameralGeralrecFactory = $paramgeralGeralrecFactory;
        $this->nrorg = $environment->getNrOrgTrab();
        
    }
    
    public function atualizaGerParamGeral($paramGeral, $geralRec) {
        try{

            $params['IDTIPOORCA'] = $paramGeral['IDTIPOORCA'];
            $params['CDPARGERAL'] = '0001';
            $params['NRORG'] = $this->nrorg;
            
            
            $connection = $this->ParameralGeralrecFactory->atualizaGerParamGeral($params); 
        } catch (\Exception $e){
			throw new \Exception("Ocorreu um erro inesperado. Por favor, tente novamente. Caso o erro persista, entre em contato com o administrador do sistema.");
		}
    }
}