function Rec00400_RelatorioContasRemetidas_Controller(ZhFilterPreferences) {
    
    /**
     * Variáveis de Inicialização
     **/
     
    var self = this;
    
    /**
     * Abertura do Filtro de Relatório
     * @param widget 
     */
     
    self.openFilterRelatorio = function(widget){
        ZhFilterPreferences.openFilterWidget(widget);
    };
    
    self.filterRelatorio = function(widget, preference){
        // console.log(preference.FILTER_ROW);
        // console.log(widget.dataSourceFilter);
        var dtCnabRec = preference.FILTER_ROW.DTCNABREC;
        var cdEmpresa = preference.FILTER_ROW.CDEMPRESA;
        var cdCliente = preference.FILTER_ROW.CDCLIENTE;
        var auxCdCliente = "";
        if(cdCliente){
            auxCdCliente = cdCliente.join("_");
        }else{
            auxCdCliente = cdCliente;
        }
        
        var cdReducont = preference.FILTER_ROW.CDREDUCONT;
        var auxCdReducont = "";
        if(cdReducont){
            auxCdReducont = cdReducont.join("_");
        }else{
            auxCdReducont = cdReducont;
        }
        
        var cdOperador = preference.FILTER_ROW.IDOPECNABREC;
        var auxCdOperador = "";
        if(cdOperador){
            auxCdOperador = cdOperador.join("_");
        }else{
            auxCdOperador = cdOperador;
        }
        
        var situacaoCnab = preference.FILTER_ROW.IDSITUCNABR;
        var auxSituacaoCnab = "";
        if(situacaoCnab){
            auxSituacaoCnab = situacaoCnab.join("_");
        }else{
            auxSituacaoCnab = "01_10_20_90";
        }
   
        //console.log(widget);
        widget.dataSourceFilter.forEach(function(filtro){
            switch(filtro.name){
                case 'CDEMPRESA':
                    filtro.value = cdEmpresa?cdEmpresa.join("_"):"T";
                break;
                case 'CDCLIENTE':
                    filtro.value = auxCdCliente?auxCdCliente:"T";
                break;
                case 'CDREDUCONT':
                    filtro.value = auxCdReducont?auxCdReducont:"T";
                break;
                case 'IDOPECNABREC':
                    filtro.value = auxCdOperador?auxCdOperador:"T";
                break;
                case 'IDSITUCNABR':
                    filtro.value = auxSituacaoCnab?auxSituacaoCnab:"01_10_20_90";
                break;
                case 'DTINI':
                    filtro.value = dtCnabRec.start;
                break;
                case 'DTFIN':
                    filtro.value = dtCnabRec.end;
                break;
            }
        });
        delete preference.FILTER_ROW.DTCNABREC;
        preference.CUSTOM_FILTER_ROW = {};
    };
}
Configuration(function (ContextRegister) {
	ContextRegister.register('Rec00400_RelatorioContasRemetidas_Controller', Rec00400_RelatorioContasRemetidas_Controller);
});