package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;
import org.openqa.selenium.WebElement;

import java.util.concurrent.TimeUnit;

public class ParametroContabilExcluirPage extends PageBase {


    // !!! Navegação Parametro Contabil !!!
    By MenuPrincipalX = By.xpath("//div[@class='bars']");
    By Parametrizacao = By.xpath("//span[@class='menu-title ng-binding has-submenu'][text() = 'Parametrização']");
    By Contabil = By.xpath("/html/body/span/section/section/div[2]/section[1]/div/aside/div[2]/nav/ul/li[1]/ul/li[12]/ul/li[11]/span/span[3]");
    By ParametroContabil = By.xpath("//span[@class='menu-title ng-binding'][text() = 'Parâmetro Contábil']");

    //Selecionando Empresa
    By SelecionarEmpresa = By.xpath("//*[text() = 'Empresa Optante do Simples Nacional']");

    public void SelecionaEmpresa() {
        waitForElement(SelecionarEmpresa);
        click(SelecionarEmpresa);
    }

    //Excluindo Empresa
    By Excluir = By.cssSelector("#footer > div.zh-footer-center > ul > li:nth-child(2) > a > div");


    public void BotaoExcluir() {
        waitForElement(Excluir);
        click(Excluir);
    }

    //Excluindo Empresa
    By RespostaYes = By.xpath("/html/body/span/section/section/div[2]/aside[1]/aside/section/footer/button[1]");

    public void ConfirmandoExclusao() {
        waitForElement(RespostaYes);
        click(RespostaYes);
    }

    public void AlertaUsuario() throws InterruptedException {
        this.driver.manage().timeouts().implicitlyWait(1, TimeUnit.MINUTES);
        driver.findElement(By.cssSelector("body > span > section > section > div.default-window > aside:nth-child(5) > aside > section > footer > button:nth-child(1)")).click();
    }

}
