
package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;
import org.openqa.selenium.Dimension;

import java.util.concurrent.TimeUnit;


public class ParametrosTituloPagarPage extends PageBase {

    // !!! Navegação Parametro Contabil !!!
    By MenuPrincipalX = By.xpath("//div[@class='bars']");
    By Parametrizacao = By.xpath("//span[contains(text(),'Parametrização')]");
    By Financeiro = By.xpath("//li[@class='menu-item closed sub-menu-item has-child visible']//span[@class='menu-title ng-binding has-submenu'][normalize-space()='Financeiro']");
    By ParametrosTituloPagar = By.xpath("//span[contains(text(),'Parâmetros de Títulos a Pagar')]");



    By MENU = By.xpath("//div[@class='bars']");
    By PARAMETRIZACAO = By.xpath("//span[contains(text(),'Parametrização')]");
    By FINANCEIRO = By.xpath("//li[@class='menu-item closed sub-menu-item has-child visible']//span[@class='menu-title ng-binding has-submenu'][normalize-space()='Financeiro']");
    By PARAMETROSDETITULOSAPAGAR = By.xpath("//span[contains(text(),'Parâmetros de Títulos a Pagar')]");

    By ElementoOperacional = By.xpath("//a[normalize-space()='Operacional']");

    public void navegarParaParametroFinanceiro() {
        click(MENU);
        click(PARAMETRIZACAO);
        click(FINANCEIRO);
        click(PARAMETROSDETITULOSAPAGAR);

    }



    //Botao Editar

    By BotaoEditar = By.xpath("//*[@id=\"footer\"]/div[2]/ul/li/a/div");

    By Salvar = By.xpath("//span[normalize-space()='Salvar']");

    // Aba Operacional
    // 1.1 Tipos de Ajuste na Baixa

    By Multa = By.cssSelector("#DSMULTAPAG");
    By OpcaoMulta = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[1]/div/div[1]/div/div/div[3]/span[1]");
    By Mora = By.cssSelector("#DSMORAPAG");
    By OpcaoJuros  = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[1]/div/div[2]/div/div/div[3]/span[1]");
    By Desconto  = By.cssSelector("#DSUANTAUTO");
    By OpcaoDesconto  = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[1]/div/div[3]/div/div/div[3]/span[1]");


    //1.2 Tipos de Ajuste do CNAB
    By Acrescimo = By.cssSelector("#DSCREPAG");
    By OpcaoJuros2 = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[2]/div/div[1]/div/div/div[3]/span[1]");
    By Desconto2 = By.cssSelector("#DSJUCTPAG");
    By OpcaoDesconto2 = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[2]/div/div[2]/div/div/div[3]/span[1]");

    //Antecipação Automática (Vazio)

    //1.3 Tipo de Baixa para Transferência Eletrônica
    By CreditoEmConta = By.cssSelector("#NMCREDCONT");
    By OpcaoCreditoEmConta1 = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[4]/div/div[1]/div/div/div[3]/span");
    By DOC = By.cssSelector("#NMBAIXADOC");
    By OpcaoCreditoEmConta2 = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[4]/div/div[2]/div/div/div[3]/span");
    By TED = By.cssSelector("#NMBAIXATED");
    By OpcaoCreditoEmConta3 = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[4]/div/div[3]/div/div/div[3]/span");

    //1.4 Retorno CNAB

    By TipoDeCreditoBancarioParaEstorno = By.cssSelector("#DSTPCREDBANC");
    By OpcaoResgateDeAplicacao = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[5]/div/div/div/div/div[3]/span[1]");


    //1.5 Dados Adicionais

    By UtilizaHabilitacaodeTitulo = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[6]/div/div[1]/div[1]/div/div[2]/span");
    By UtilizaHabilitacaodeTituloOpcaoSim = By.cssSelector("body > span:nth-child(5) > section:nth-child(1) > section:nth-child(1) > div:nth-child(2) > section:nth-child(4) > div:nth-child(2) > section:nth-child(1) > section:nth-child(1) > section:nth-child(1) > section:nth-child(3) > div:nth-child(1) > section:nth-child(1) > div:nth-child(1) > form:nth-child(1) > section:nth-child(6) > div:nth-child(2) > div:nth-child(1) > div:nth-child(1) > div:nth-child(1) > div:nth-child(3) > span:nth-child(1)");

    By UtilizaAutorizacaoDeDespesa = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[6]/div/div[2]/div[1]/div/div[2]/span");
    By UtilizaAutorizacaoDeDespesaSim = By.cssSelector("body > span > section > section > div.default-window > section.everything > div > section > section > section > section > div > section > div > form > section:nth-child(6) > div > div:nth-child(2) > div:nth-child(1) > div > div.new-select.input-text.form-input-margin-bottom.mousetrap.form-control.zh-text-align-\\{\\{field\\.align.\\|\\|.\\'left\\'\\}\\}.ng-pristine.ng-untouched.ng-valid.open > ul > li.option.selected.focus");

    By ExibeCalculoDeAjustesNoTitulo = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[6]/div/div[3]/div/div/div[2]/span");
    By  OpcaoExibirNaSelecaoDeBoletos =  By.cssSelector("body > span > section > section > div.default-window > section.everything > div > section > section > section > section > div > section > div > form > section:nth-child(6) > div > div:nth-child(3) > div > div > div.new-select.input-text.form-input-margin-bottom.mousetrap.form-control.zh-text-align-\\{\\{field\\.align.\\|\\|.\\'left\\'\\}\\}.ng-pristine.ng-untouched.ng-valid.open > ul > li.option.selected.focus");

    By UtilizaPadraoHabilitado = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[6]/div/div[1]/div[2]/div/div[2]/span");
    By UtilizaPadraoHabilitadoOpcaoSim = By.cssSelector("body > span > section > section > div.default-window > section.everything > div > section > section > section > section > div > section > div > form > section:nth-child(6) > div > div:nth-child(1) > div.col-xs-6.zh-field.last-of-row > div > div.new-select.input-text.form-input-margin-bottom.mousetrap.form-control.zh-text-align-\\{\\{field\\.align.\\|\\|.\\'left\\'\\}\\}.ng-pristine.ng-untouched.ng-valid.open > ul > li.option.selected.focus");

    By UtilizaNotaDeDevolucao =   By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[6]/div/div[2]/div[2]/div/div[2]/span");
    By UtilizaNotaDeDevolucaoOpcaoSim = By.cssSelector("body > span > section > section > div.default-window > section.everything > div > section > section > section > section > div > section > div > form > section:nth-child(6) > div > div:nth-child(2) > div.col-xs-6.zh-field.last-of-row > div > div.new-select.input-text.form-input-margin-bottom.mousetrap.form-control.zh-text-align-\\{\\{field\\.align.\\|\\|.\\'left\\'\\}\\}.ng-pristine.ng-untouched.ng-valid > ul > li.option.selected.focus");

    By ExibeCalculoDeAjsutesNoTitulo =  By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[6]/div/div[3]/div/div/div[2]");
    By ExibirNaSelecaoDeBoletos = By.cssSelector("body > span > section > section > div.default-window > section.everything > div > section > section > section > section > div > section > div > form > section:nth-child(6) > div > div:nth-child(3) > div > div > div.new-select.input-text.form-input-margin-bottom.mousetrap.form-control.zh-text-align-\\{\\{field\\.align.\\|\\|.\\'left\\'\\}\\}.ng-pristine.ng-untouched.ng-valid.open > ul > li.option.selected.focus");

    //1.6 Dados para Geração Financeira – Sangria

    By Serie = By.cssSelector("#DSSERIEENTRSAG");
    By OpcaSerie0 = By.cssSelector("body > span > section > section > div.default-window > section.everything > div > section > section > section > section > div > section > div > form > section:nth-child(7) > div > div:nth-child(1) > div:nth-child(1) > div > div.list-items.show-select > span:nth-child(1)");

    By TipoDeOperacao = By.cssSelector("#NMTIPOOPERSAG");
    By OpcaNFCompra = By.cssSelector("body > span > section > section > div.default-window > section.everything > div > section > section > section > section > div > section > div > form > section:nth-child(7) > div > div:nth-child(2) > div:nth-child(1) > div > div.list-items.show-select > span:nth-child(1)");

    By Fornecedor = By.cssSelector("#NMRAZSOCFORNSAG");
    By OpcaFornecedor = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[7]/div/div[1]/div[2]/div/div[3]/span[1]");

    By TipoDeConta = By.cssSelector("#DSTPCTPAGARSAG");
    By OpcaoAluguelDeEscritorio = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[7]/div/div[2]/div[2]/div/div[3]/span[1]");

    //1.7 Visualização de Título
    By UtilizaVisualizaçãoPorOperadorDeLancamento = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[8]/div/div/div[1]/div/div[2]");
    By OpcaoSimUtilizaVisualizaçãoPorOperadorDeLancamento= By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[8]/div/div/div[1]/div/div[2]/ul/li[1]");

    By OperadoresComPermissaoDeVisulizacaoDeTodosOsLancamentos =  By.cssSelector("#CDOPEPERVISUBOL_multi");
    By OpcaoSimOperadoresComPermissaoDeVisulizacaoDeTodosOsLancamentos = By.xpath("//*[@id=\"footer\"]/div[3]/ul/li/a/span");

    // Aba Intervalo de Datas
    By AbaIntervaloDeDatas = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/header/div/div/ul/li[2]/label/a");

    //Intervalo de Datas no Filtro de Baixa

    By CampoValorQuantidadeDeDiasAnterioresADataDeProcessamento = By.cssSelector("#QTDIAANTBAIP");
    By CampoQuantidadeDeDiasPosterioresADataDeProcessamento = By.cssSelector("#QTDIAAPOBAIP");

    //Intervalo de Datas no Filtro de Títulos a Baixar e Enviar (CNAB)

    By CampoValorQuantidadeDeDiasAnterioresADataDeProcessamento2 = By.cssSelector("#QTDIAANTBOLP");
    By CampoQuantidadeDeDiasPosterioresADataDeProcessamento2 = By.cssSelector("#QTDIAAPOBOLP");

    //Intervalo de Datas no Lançamento de Contas
    By CampoValorQuantidadeDeDiasAnterioresADataDeProcessamento3 = By.cssSelector("#QTDIAANTLANP");
    By CampoQuantidadeDeDiasPosterioresADataDeProcessamento3 = By.cssSelector("#QTDIAAPOLANP");

    //Grupo de Operadores
    By AbaGrupoDeOperadores = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/header/div/div/ul/li[3]/label/a");

    By GrupoDeOperadores = By.cssSelector("#CDGROPERCNTP");
    By Opcao1= By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[1]/div/div/div[2]/div/div[3]/span[1]");

    By ControlaInclusao = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[1]/div/div/div[1]/div/div[2]");

    //Liberar Contas
    By LiberarContas = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[2]/div/div/div/div/div[2]");
    By OpcaoPrevistas = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[2]/div/div/div/div/div[2]/ul/li[1]");

    //Controla Prorrogação de Vencimento
    By ControlaProrrogacaoDeVencimento = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[4]/div/div/div[1]/div/div[2]/span");
    By ControlaProrrogacaoDeVencimentoOpcaoSim = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[4]/div/div/div[1]/div/div[2]/ul/li[1]");
    By GrupoDeOperadores2 = By.cssSelector("#CDGRUPOPERPRVC");
    By GrupoDeOperadoresOpcao01 = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[4]/div/div/div[2]/div/div[3]/span[1]");

    //Controla Prorrogação de Processamento
    By ControlaDataDeProcessamento = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[3]/div/div/div[1]/div/div[2]");
    By ControlaDataDeProcessamentoOpcaoSim = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[3]/div/div/div[1]/div/div[2]/ul/li[1]");
    By GrupoDeOperadores3 = By.cssSelector("#CDGROPERPROP");
    By GrupoDeOperadoresOpcao0102 = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[3]/div/div/div[2]/div/div[3]/span[1]");

    //Controla Exclusao de Baixa (Pagamento)
    By ControlaInclusaoOpcaoSim = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[1]/div/div/div[1]/div/div[2]/ul/li[1]");
    By GrupoDeOperadoresExclusaoDeBaixa = By.cssSelector("#CDGRUPOPEREXBP");
    By ButaoOk = By.xpath("//*[@id=\"footer\"]/div[3]/ul/li/a/span");

    //Controla Cancelamento de Remessa de Boletos (Pagamento)

    By ControlaCancelamentoDeRemessa = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[6]/div/div[1]/div/div/div[2]");
    By ControlaCancelamentoDeRemessaOpcaoSim = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/section/div/section/div/form/section[6]/div/div[1]/div/div/div[2]/ul/li[1]");
    By GrupoDeOperadores4 = By.cssSelector("#CDGRUPOPERCRMP");
    By OpcaoAdministrativo = By.xpath("//*[@id=\"grid-9999\"]/div[2]/div/div[1]/div[2]");
    By OkOpcaoAdministrativo = By.xpath("//*[@id=\"footer\"]/div[3]/ul/li/a/span");

    public void EditarFinanceiroAbaOperacional()  {
        waitForElement(ElementoOperacional);
        click(BotaoEditar);

        //1.1 Tipos de Ajuste na Baixa
        click(Multa);
        click(OpcaoMulta);

        click(Mora);
        click(OpcaoJuros);

        click(Desconto);
        click(OpcaoDesconto);

        //1.2 Tipos de Ajuste do CNAB
        click(Acrescimo);
        click(OpcaoJuros2);

        click(TED);
        click(OpcaoCreditoEmConta3);

        //1.3Tipo de Baixa para Transferência Eletrônica

        click(CreditoEmConta);
        click(OpcaoCreditoEmConta1);
        click(DOC);
        click(OpcaoCreditoEmConta2);
        click(DOC);
        click(DOC);

        //1.4 Retorno CNAB
        click(TipoDeCreditoBancarioParaEstorno);
        click(OpcaoResgateDeAplicacao);

        //1.5 Dados Adicionais
        click(UtilizaHabilitacaodeTituloOpcaoSim);
        click(UtilizaHabilitacaodeTituloOpcaoSim);

        click(UtilizaAutorizacaoDeDespesa);
        click(UtilizaAutorizacaoDeDespesaSim);

        click(ExibeCalculoDeAjustesNoTitulo);
        click(OpcaoExibirNaSelecaoDeBoletos);

        click(UtilizaPadraoHabilitado);
        click(UtilizaPadraoHabilitadoOpcaoSim);

        click(UtilizaNotaDeDevolucao);
        click(UtilizaNotaDeDevolucaoOpcaoSim);

        click(ExibeCalculoDeAjsutesNoTitulo);
        click(ExibirNaSelecaoDeBoletos);

        //1.6 Dados para Geração Financeira – Sangria

        click(Serie);
        click(OpcaSerie0);
        click(TipoDeOperacao);
        click(OpcaNFCompra);
        click(Fornecedor);
        click(OpcaFornecedor);
        click(TipoDeConta);
        click(OpcaoAluguelDeEscritorio);

        //1.7 Visualização de Título
        click(UtilizaVisualizaçãoPorOperadorDeLancamento);
        click(OpcaoSimUtilizaVisualizaçãoPorOperadorDeLancamento);
        click(OperadoresComPermissaoDeVisulizacaoDeTodosOsLancamentos);
        click(OpcaoSimOperadoresComPermissaoDeVisulizacaoDeTodosOsLancamentos);


    }
    public void EditarFinanceiroAbaIntervaloDeDatas(String ValorQuantidadeDeDiasAnterioresADataDeProcessamento, String ValorQuantidadeDeDiasPosterioresADataDeProcessamento, String ValorQuantidadeDeDiasAnterioresADataDeProcessamento2, String ValorQuantidadeDeDiasPosterioresADataDeProcessamento2,String ValorQuantidadeDeDiasAnterioresADataDeProcessamento3, String ValorQuantidadeDeDiasPosterioresADataDeProcessamento3) {
        click(AbaIntervaloDeDatas);
        click(CampoValorQuantidadeDeDiasAnterioresADataDeProcessamento);
        clear(CampoValorQuantidadeDeDiasAnterioresADataDeProcessamento);
        sendKeys(CampoValorQuantidadeDeDiasAnterioresADataDeProcessamento, ValorQuantidadeDeDiasAnterioresADataDeProcessamento);

        click(CampoQuantidadeDeDiasPosterioresADataDeProcessamento);
        clear(CampoQuantidadeDeDiasPosterioresADataDeProcessamento);
        sendKeys(CampoQuantidadeDeDiasPosterioresADataDeProcessamento, ValorQuantidadeDeDiasPosterioresADataDeProcessamento);

        click(CampoValorQuantidadeDeDiasAnterioresADataDeProcessamento2);
        clear(CampoValorQuantidadeDeDiasAnterioresADataDeProcessamento2);
        sendKeys(CampoValorQuantidadeDeDiasAnterioresADataDeProcessamento2, ValorQuantidadeDeDiasAnterioresADataDeProcessamento2);

        click(CampoQuantidadeDeDiasPosterioresADataDeProcessamento2);
        clear(CampoQuantidadeDeDiasPosterioresADataDeProcessamento2);
        sendKeys(CampoQuantidadeDeDiasPosterioresADataDeProcessamento2, ValorQuantidadeDeDiasPosterioresADataDeProcessamento2);

        click(CampoValorQuantidadeDeDiasAnterioresADataDeProcessamento3);
        clear(CampoValorQuantidadeDeDiasAnterioresADataDeProcessamento3);
        sendKeys(CampoValorQuantidadeDeDiasAnterioresADataDeProcessamento3, ValorQuantidadeDeDiasAnterioresADataDeProcessamento3);

        click(CampoQuantidadeDeDiasPosterioresADataDeProcessamento3);
        clear(CampoQuantidadeDeDiasPosterioresADataDeProcessamento3);
        sendKeys(CampoQuantidadeDeDiasPosterioresADataDeProcessamento3, ValorQuantidadeDeDiasPosterioresADataDeProcessamento3);


    }

    public void GrupoDeOperadores() {
        click(AbaGrupoDeOperadores);
        click(ControlaInclusao);
        click(ControlaInclusaoOpcaoSim);
        click(GrupoDeOperadores);
        click(Opcao1);
        click(LiberarContas);
        click(OpcaoPrevistas);

        click(ControlaDataDeProcessamento);
        click(ControlaDataDeProcessamentoOpcaoSim);
        click(GrupoDeOperadores3);
        click(GrupoDeOperadoresOpcao0102);

        click(ControlaProrrogacaoDeVencimento);
        click(ControlaProrrogacaoDeVencimentoOpcaoSim);
        click(GrupoDeOperadores2);
        click(GrupoDeOperadoresOpcao01);


        click(GrupoDeOperadoresExclusaoDeBaixa);
        click(ButaoOk);

        click(ControlaCancelamentoDeRemessa);
        click(ControlaCancelamentoDeRemessaOpcaoSim);
        click(GrupoDeOperadores4);
        click(OpcaoAdministrativo);
        click(OkOpcaoAdministrativo);


        click(Salvar);

    }



    public void AlertaUsuario() throws InterruptedException {
        this.driver.manage().timeouts().implicitlyWait(1, TimeUnit.MINUTES);
        driver.findElement(By.cssSelector("body > span > section > section > div.default-window > aside:nth-child(5) > aside > section > footer > button:nth-child(1)")).click();
    }

}






